Altibase.jdbc.driver.cm

## Class CmProtocolContextPrepExec

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextDirExec
    - - Altibase.jdbc.driver.cm.CmProtocolContextPrepExec

    public class CmProtocolContextPrepExec
    extends CmProtocolContextDirExec

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextPrepExec(CmChannel aChannel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CmBindParamDataOutResult` `getBindParamDataOutResult()`
`CmGetBindParamInfoResult` `getBindParamResult()`
`ListBufferHandle` `getListBufferHandle()`
`void` `setListBufferHandle(ListBufferHandle aListBufferHandle)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContextDirExec

`addDeferredRequest, clearDeferredRequests, getDeferredRequests, getExecutionResult, getFetchResult, getGetBindParamInfoResult, getGetColumnInfoResult, getGetPlanResult, getPrepareResult, setResultSetId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, channel, clearCmResult, clearError, getCmResult, getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextPrepExec

    public CmProtocolContextPrepExec(CmChannel aChannel)

### Method Detail

#### getBindParamResult

    public CmGetBindParamInfoResult getBindParamResult()

#### getBindParamDataOutResult

    public CmBindParamDataOutResult getBindParamDataOutResult()

#### getListBufferHandle

    public ListBufferHandle getListBufferHandle()

#### setListBufferHandle

    public void setListBufferHandle(ListBufferHandle aListBufferHandle)